DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureLabels

Measurement Labels access function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureLabels ( measurement, featureID, labels, resources )

## FUNCTION

The `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementObjectFormat`, `MeasurementFeatureLabels`, and `MeasurementFeatureDescription` functions provide access to the functions that are registered by each measurement function. See also `MeasurementFeatureRegister`. This function gives access to an array of strings containing labels for the measurement values of the measurement function specified with `featureID`. When, for example, a measurement function produces a number of measurement values equal to the dimemsionality of the label image (see `Measure`), the number of labels will be equal to the dimensionality as well.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_StringArray *` | `labels` | Pointer to an array of labels of the specified measurement function
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementNew`, `MeasurementForge`, `MeasurementFeatureGetSize`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementObjectGetSize`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementObjectFormat`

DIPlib on-line documentation | Function reference | Global function index